> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://apidocs.me-mate.net/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://apidocs.me-mate.net/_mcp/server.

# Send Video Message Template

POST https://business.me-mate.net/whatsappbusiness/send-templated-message#postWhatsappbusinessSend-templated-message4
Content-Type: application/json

The `POST` request to `https://business.me-mate.net/whatsappbusiness/send-templated-message` endpoint is used to send a templated message via MessengerMate Business API for WhatsApp template sending. The request payload should include the following parameters to send Video Message Template:

### Request Body

- **api_key** (string): Your API key > [How to get Your API key?](#requirements)
    
- **sender** (string): Sender's number
    
- **campaign_id** (string): Your campaign ID > [How to get a campaign id?](https://getgabs.com/blogs/how-to-get-campaign-id-on-getgabs-to-send-template-messages-via-api/)
    
- **messaging_product** (string): WhatsApp
    
- **recipient_type** (string): Individual
    
- **to** (string): Receiver's number
    
- **type** (string): Template
    
- **template** (object):
    
    - **name** (string): Your approved template name
        
    - **language** (object):
        
        - **code** (string): en_US
            
    - **components** (array):
        
        - **type** (string): HEADER (this indicate message with Header. In this case Header is video which is included in parameters array.)
            
        - **parameters** (array):
            
            - **type** (string): VIDEO( this indicates type of header)
                
            - **video** (object):
                
                - **link** (string): Video full url.
                    

### Response

- `messaging_product` (string): The messaging product used.
    
- `contacts` (array):
    
    - `input` (string): The input message.
        
    - `wa_id` (string): The WhatsApp ID of the recipient.

Reference: https://apidocs.me-mate.net/business-me-mate-net-ap-is-document-v-1-0/send-template-message-ap-is/send-video-message-template/send-video-message-template

## Request

### Body (application/json)

- `to` (string, required)
- `type` (string, required)
- `sender` (string, required)
- `api_key` (string, required)
- `template` (object, required)
  - `name` (string, required)
  - `language` (object, required)
    - `code` (string, required)
  - `components` (list of object, required)
    - `type` (string, required)
    - `parameters` (list of object, required)
      - `type` (string, required)
      - `video` (object, required)
        - `link` (string, required)
- `campaign_id` (string, required)
- `recipient_type` (string, required)
- `messaging_product` (string, required)

## Response

### 200

OK

- `contacts` (list of object, required)
  - `input` (string, required)
  - `wa_id` (string, required)
- `messages` (list of object, required)
  - `id` (string, required)
- `messaging_product` (string, required)

## Examples

**Request**

```json
{
  "to": "receiver_number",
  "type": "template",
  "sender": "sender-number",
  "api_key": "your-api-key",
  "template": {
    "name": "Your-approved-template-name",
    "language": {
      "code": "en_US"
    },
    "components": [
      {
        "type": "HEADER",
        "parameters": [
          {
            "type": "VIDEO",
            "video": {
              "link": "https://yourvideo.mp4"
            }
          }
        ]
      }
    ]
  },
  "campaign_id": "campaign_id",
  "recipient_type": "individual",
  "messaging_product": "whatsapp"
}
```

**Response**

```json
{
  "contacts": [
    {
      "input": "receiver_number",
      "wa_id": "receiver_number"
    }
  ],
  "messages": [
    {
      "id": "wamid.HBgMOTE3MzE5OTUwMzUwFQIAERgSMjEyMTM3ODAzNzJDQzE2MzM1AA=="
    }
  ],
  "messaging_product": "whatsapp"
}
```

**SDK Code**

```python
import requests

url = "https://business.me-mate.net/whatsappbusiness/send-templated-message#postWhatsappbusinessSend-templated-message4"

payload = {
    "to": "receiver_number",
    "type": "template",
    "sender": "sender-number",
    "api_key": "your-api-key",
    "template": {
        "name": "Your-approved-template-name",
        "language": { "code": "en_US" },
        "components": [
            {
                "type": "HEADER",
                "parameters": [
                    {
                        "type": "VIDEO",
                        "video": { "link": "https://yourvideo.mp4" }
                    }
                ]
            }
        ]
    },
    "campaign_id": "campaign_id",
    "recipient_type": "individual",
    "messaging_product": "whatsapp"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://business.me-mate.net/whatsappbusiness/send-templated-message#postWhatsappbusinessSend-templated-message4';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"to":"receiver_number","type":"template","sender":"sender-number","api_key":"your-api-key","template":{"name":"Your-approved-template-name","language":{"code":"en_US"},"components":[{"type":"HEADER","parameters":[{"type":"VIDEO","video":{"link":"https://yourvideo.mp4"}}]}]},"campaign_id":"campaign_id","recipient_type":"individual","messaging_product":"whatsapp"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://business.me-mate.net/whatsappbusiness/send-templated-message#postWhatsappbusinessSend-templated-message4"

	payload := strings.NewReader("{\n  \"to\": \"receiver_number\",\n  \"type\": \"template\",\n  \"sender\": \"sender-number\",\n  \"api_key\": \"your-api-key\",\n  \"template\": {\n    \"name\": \"Your-approved-template-name\",\n    \"language\": {\n      \"code\": \"en_US\"\n    },\n    \"components\": [\n      {\n        \"type\": \"HEADER\",\n        \"parameters\": [\n          {\n            \"type\": \"VIDEO\",\n            \"video\": {\n              \"link\": \"https://yourvideo.mp4\"\n            }\n          }\n        ]\n      }\n    ]\n  },\n  \"campaign_id\": \"campaign_id\",\n  \"recipient_type\": \"individual\",\n  \"messaging_product\": \"whatsapp\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://business.me-mate.net/whatsappbusiness/send-templated-message#postWhatsappbusinessSend-templated-message4")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"to\": \"receiver_number\",\n  \"type\": \"template\",\n  \"sender\": \"sender-number\",\n  \"api_key\": \"your-api-key\",\n  \"template\": {\n    \"name\": \"Your-approved-template-name\",\n    \"language\": {\n      \"code\": \"en_US\"\n    },\n    \"components\": [\n      {\n        \"type\": \"HEADER\",\n        \"parameters\": [\n          {\n            \"type\": \"VIDEO\",\n            \"video\": {\n              \"link\": \"https://yourvideo.mp4\"\n            }\n          }\n        ]\n      }\n    ]\n  },\n  \"campaign_id\": \"campaign_id\",\n  \"recipient_type\": \"individual\",\n  \"messaging_product\": \"whatsapp\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://business.me-mate.net/whatsappbusiness/send-templated-message#postWhatsappbusinessSend-templated-message4")
  .header("Content-Type", "application/json")
  .body("{\n  \"to\": \"receiver_number\",\n  \"type\": \"template\",\n  \"sender\": \"sender-number\",\n  \"api_key\": \"your-api-key\",\n  \"template\": {\n    \"name\": \"Your-approved-template-name\",\n    \"language\": {\n      \"code\": \"en_US\"\n    },\n    \"components\": [\n      {\n        \"type\": \"HEADER\",\n        \"parameters\": [\n          {\n            \"type\": \"VIDEO\",\n            \"video\": {\n              \"link\": \"https://yourvideo.mp4\"\n            }\n          }\n        ]\n      }\n    ]\n  },\n  \"campaign_id\": \"campaign_id\",\n  \"recipient_type\": \"individual\",\n  \"messaging_product\": \"whatsapp\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://business.me-mate.net/whatsappbusiness/send-templated-message#postWhatsappbusinessSend-templated-message4', [
  'body' => '{
  "to": "receiver_number",
  "type": "template",
  "sender": "sender-number",
  "api_key": "your-api-key",
  "template": {
    "name": "Your-approved-template-name",
    "language": {
      "code": "en_US"
    },
    "components": [
      {
        "type": "HEADER",
        "parameters": [
          {
            "type": "VIDEO",
            "video": {
              "link": "https://yourvideo.mp4"
            }
          }
        ]
      }
    ]
  },
  "campaign_id": "campaign_id",
  "recipient_type": "individual",
  "messaging_product": "whatsapp"
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://business.me-mate.net/whatsappbusiness/send-templated-message#postWhatsappbusinessSend-templated-message4");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"to\": \"receiver_number\",\n  \"type\": \"template\",\n  \"sender\": \"sender-number\",\n  \"api_key\": \"your-api-key\",\n  \"template\": {\n    \"name\": \"Your-approved-template-name\",\n    \"language\": {\n      \"code\": \"en_US\"\n    },\n    \"components\": [\n      {\n        \"type\": \"HEADER\",\n        \"parameters\": [\n          {\n            \"type\": \"VIDEO\",\n            \"video\": {\n              \"link\": \"https://yourvideo.mp4\"\n            }\n          }\n        ]\n      }\n    ]\n  },\n  \"campaign_id\": \"campaign_id\",\n  \"recipient_type\": \"individual\",\n  \"messaging_product\": \"whatsapp\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [
  "to": "receiver_number",
  "type": "template",
  "sender": "sender-number",
  "api_key": "your-api-key",
  "template": [
    "name": "Your-approved-template-name",
    "language": ["code": "en_US"],
    "components": [
      [
        "type": "HEADER",
        "parameters": [
          [
            "type": "VIDEO",
            "video": ["link": "https://yourvideo.mp4"]
          ]
        ]
      ]
    ]
  ],
  "campaign_id": "campaign_id",
  "recipient_type": "individual",
  "messaging_product": "whatsapp"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://business.me-mate.net/whatsappbusiness/send-templated-message#postWhatsappbusinessSend-templated-message4")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```